USRP Hardware Driver and USRP Manual: uhd::filter_info_base Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.8.0.makepkg-0-g308126a4 UHD and USRP Manual |

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Attributes | List of all members
uhd::filter_info_base Class Reference

`#include <uhd/types/filters.hpp>`

Inheritance diagram for uhd::filter_info_base:

## Public Types
enum | filter_type { ANALOG_LOW_PASS , ANALOG_BAND_PASS , DIGITAL_I16 , DIGITAL_FIR_I16 }
typedef std::shared_ptr< filter_info_base > | sptr

## Public Member Functions
| filter_info_base (filter_type type, bool bypass, size_t position_index)
virtual UHD_INLINE bool | is_bypassed ()
UHD_INLINE filter_type | get_type ()
virtual | ~filter_info_base ()
virtual std::string | to_pp_string ()

## Protected Attributes
filter_type | _type
bool | _bypass
size_t | _position_index

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<filter_info_base> uhd::filter_info_base::sptr

## Member Enumeration Documentation

## ◆ filter_type

enum uhd::filter_info_base::filter_type

Enumerator
ANALOG_LOW_PASS |
ANALOG_BAND_PASS |
DIGITAL_I16 |
DIGITAL_FIR_I16 |

## Constructor & Destructor Documentation

## ◆ filter_info_base()

uhd::filter_info_base::filter_info_base | ( | filter_type | type,
|  | bool | bypass,
|  | size_t | position_index )
| inline

## ◆ ~filter_info_base()

virtual uhd::filter_info_base::~filter_info_base | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ get_type()

UHD_INLINE filter_type uhd::filter_info_base::get_type | ( |  | ) |
| inline

## ◆ is_bypassed()

virtual UHD_INLINE bool uhd::filter_info_base::is_bypassed | ( |  | ) |
| inlinevirtual

## ◆ to_pp_string()

virtual std::string uhd::filter_info_base::to_pp_string | ( |  | ) |
| virtual

Reimplemented in uhd::analog_filter_base, uhd::analog_filter_lp, and uhd::digital_filter_base< tap_t >.

## Member Data Documentation

## ◆ _bypass

bool uhd::filter_info_base::_bypass
| protected

## ◆ _position_index

size_t uhd::filter_info_base::_position_index
| protected

## ◆ _type

filter_type uhd::filter_info_base::_type
| protected

The documentation for this class was generated from the following file:

- filters.hpp